import { useSendWithButton } from '..'
import { composePutAnnouncementURL, processPutAnnouncement } from '../../api/putAnnouncement'
import { isPutAnnouncementResponse } from '../../api/putAnnouncement/types'

const useAddAnnouncement = () => (
    useSendWithButton(
        'Опубликовать',
        'Опубликовано',
        true,
        composePutAnnouncementURL(),
        'PUT',
        true,
        isPutAnnouncementResponse,
        processPutAnnouncement
    )
)

export default useAddAnnouncement
